Bug 120959 - java/sablevm-classpath did not build/install from ports
Summary: java/sablevm-classpath did not build/install from ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-02-22 03:10 UTC by areilly
Modified: 2008-05-18 10:40 UTC (History)
0 users

See Also:


Attachments
ports-java-sablevm.diff (508 bytes, patch)
2008-02-22 20:14 UTC, Björn König
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description areilly 2008-02-22 03:10:02 UTC
In response to Bjo"rn Ko"nig's e-mail about SableVM going, I tried to
install from ports.  The SableVM itself seems to have built OK, but the
-classpath dependency broke thusly:

gmake[3]: Entering directory `/usr/ports/java/sablevm-classpath/work/sablevm-classpath-1.13/lib'
true
top_builddir=.. top_srcdir=.. /bin/sh ./gen-classlist.sh standard
Adding java source files from srcdir '..'.
Adding java source files from VM directory ../vm/reference
mkdir -p /usr/local/lib/sablevm/{lib,jre/lib}
unlink /usr/local/lib/sablevm/jre/lib/rt.jar
unlink: /usr/local/lib/sablevm/jre/lib/rt.jar: No such file or directory
gmake[3]: [install-data-hook] Error 1 (ignored)
for f in libclasspath.jar resources.jar ; do \
          rm -f /usr/local/lib/sablevm/{lib,jre/lib}/$f ; \
          ln -s /usr/local/share/sablevm-classpath/$f /usr/local/lib/sablevm/lib/$f ; \
          ln -s ../../lib/$f /usr/local/lib/sablevm/jre/lib/$f ; \
        done
ln: /usr/local/lib/sablevm/lib/libclasspath.jar: No such file or directory
ln: /usr/local/lib/sablevm/jre/lib/libclasspath.jar: No such file or directory
ln: /usr/local/lib/sablevm/lib/resources.jar: No such file or directory
ln: /usr/local/lib/sablevm/jre/lib/resources.jar: No such file or directory
gmake[3]: *** [install-data-hook] Error 1
gmake[3]: Leaving directory `/usr/ports/java/sablevm-classpath/work/sablevm-classpath-1.13/lib'
gmake[2]: *** [install-data-am] Error 2
gmake[2]: Leaving directory `/usr/ports/java/sablevm-classpath/work/sablevm-classpath-1.13/lib'
gmake[1]: *** [install-am] Error 2
gmake[1]: Leaving directory `/usr/ports/java/sablevm-classpath/work/sablevm-classpath-1.13/lib'
gmake: *** [install-recursive] Error 1
*** Error code 2

Stop in /usr/ports/java/sablevm-classpath.
*** Error code 1

Stop in /usr/ports/java/sablevm.
*** Error code 1

Stop in /usr/ports/java/sablevm.

Fix: 

Looks as though the install script isn't quite right.  Don't know how
to fix, sorry.
How-To-Repeat: cd /usr/ports/java/sablevm; sudo make install clean
Comment 1 areilly 2008-02-22 03:25:55 UTC
Actually, that was really easy to fix.  A script was trying to do this:
mkdir -p /usr/local/lib/sablevm/{lib,jre/lib}
which doesn't work in our /bin/sh.  (Where does it work?  Zsh?)
I made the directories manually, and the installation proceeded properly.

The fix is to replace that line with two:
mkdir -p /usr/local/lib/sablevm/lib
mkdir -p /usr/local/lib/sablevm/jre/lib

Not sure where, though...

-- 
Andrew
Comment 2 Björn König 2008-02-22 09:00:27 UTC
Hello,

the problem is known to me. It happens if archivers/zip is installed. Here
is a quick workaround: execute pkg_delete zip\* and 'make clean install'
for java/sablevm-classpath again.

The background is that sablevm-classpath tries to create a zip archive of
the whole class library if zip is available. Now you have a zip archive in
/usr/local/share/sablevm-classpath which is not listed in pkg-plist.

Your explanation regarding the shell is correct, it's a bashism. Fixing
the Makefile is already on my to-do list. I'll submit a patch soon.

Björn
Comment 3 Björn König 2008-02-22 20:14:33 UTC
It's necessary to update java/sablevm too.
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2008-02-23 01:03:01 UTC
State Changed
From-To: open->analyzed

Maintainer is aware of the problem and is working on it.
Comment 5 Björn König 2008-02-27 08:06:46 UTC
Here's the patch.

http://www.alpha-tierchen.de/~bkoenig/ports-java-sablevm-classpath.diff

Björn
Comment 6 Mark Linimon freebsd_committer freebsd_triage 2008-05-08 20:41:32 UTC
Responsible Changed
From-To: freebsd-java->freebsd-ports-bugs

Maintainer has submitted a patch.
Comment 7 Martin Wilke freebsd_committer 2008-05-15 21:22:30 UTC
State Changed
From-To: analyzed->open

.
Comment 8 Martin Wilke freebsd_committer 2008-05-15 21:22:42 UTC
State Changed
From-To: open->feedback

Hi Bjoern, 

The provided patch does't patch cleanly,  Can you please investigate and 
re-submit? 

===>  Cleaning for sablevm-classpath-1.13_2 ===>  Vulnerability check 
disabled, database not found ===>  Found saved configuration for 
sablevm-classpath-1.13_2 ===>  Extracting for sablevm-classpath-1.13_2 
=> MD5 Checksum OK for sablevm-classpath-1.13.tar.gz.  => SHA256 
Checksum OK for sablevm-classpath-1.13.tar.gz.  ===>  Patching for 
sablevm-classpath-1.13_2 ===>  Applying FreeBSD patches for 
sablevm-classpath-1.13_2 Ignoring previously applied (or reversed) 
patch.  2 out of 2 hunks ignored--saving rejects to lib/Makefile.in.rej 
Ignoring previously applied (or reversed) patch.  2 out of 2 hunks 
ignored--saving rejects to lib/Makefile.in.rej => Patch 
patch-lib-Makefile failed to apply cleanly.  *** Error code 1 

Stop in /usr/home/miwi/dev/ports/java/sablevm-classpath.  *** Error code 
1 

Stop in /usr/home/miwi/dev/ports/java/sablevm-classpath. 



Thanks ! 

- Martin
Comment 9 Björn König 2008-05-18 09:23:35 UTC
It applied cleanly until someone bumped the portrevision number, dear
Martin. ;-)

Here is an updated version of the patch:

http://www.alpha-tierchen.de/~bkoenig/ports-java-sablevm-classpath-3.diff

Regards
Björn
Comment 10 dfilter service freebsd_committer 2008-05-18 10:32:07 UTC
miwi        2008-05-18 09:32:01 UTC

  FreeBSD ports repository

  Modified files:
    java/sablevm-classpath Makefile pkg-plist 
  Added files:
    java/sablevm-classpath/files patch-lib-Makefile 
  Log:
  - Fix build/install problems
  
  PR:             120959
  Reported by:    Andrew Reilly <areilly@bigpond.net.au>
  Submitted by:   Bjoern Koenig <bkoenig@alpha-tierchen.de> (maintainer)
  
  Revision  Changes      Path
  1.4       +14 -3       ports/java/sablevm-classpath/Makefile
  1.1       +24 -0       ports/java/sablevm-classpath/files/patch-lib-Makefile (new)
  1.2       +5573 -5573  ports/java/sablevm-classpath/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 Martin Wilke freebsd_committer 2008-05-18 10:32:10 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!